Subject: bug#59094: 29.0.50; ediff-revision flags wrong lines in etc/HELLO

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Nov 2022 18:49:22 +0200

> From: Mike Kupfer <[email-masked]>
> cc: [email-masked]
> Date: Mon, 07 Nov 2022 07:49:36 -0800
> 
> Are the charset tags (annotations) really necessary, given the setting
> of 'coding' in the local variables?

Yes, they help Emacs choose suitable fonts where the same characters
should use different fonts depending on the character set.

> The reason I ask is that the files that I saved last night from the old
> and new Ediff buffers can be reloaded, and Ediff is able to correctly
> show the changes.  Yet I don't see any visual distinctions between the
> new file and etc/HELLO, even though the new file's mode is just
> Fundamental, not Fundamental Enriched.  (Even the orange text on lines 1
> and 34 is duplicated in the saved file, which I confess puzzles me.)

The effect of the charsets is really relevant to CJK cultures, and
even that is nowadays less important than 20 years ago.